<?xml version="1.0" encoding="UTF-8"?>
<?xml-stylesheet href="chrome://global/skin/" type="text/css"?>
<?xml-stylesheet href="options.css" type="text/css"?>
<!DOCTYPE prefwindow SYSTEM "chrome://yass/locale/prefwindow.dtd">
<prefwindow
	id="prefwindow_yass"
	ondialogaccept="return ondialogok();" 
	ondialogcancel="return ondialogcancel();"
	buttons=","
	buttonlabelextra2="&questionmark;"
	xmlns="http://www.mozilla.org/keymaster/gatekeeper/there.is.only.xul" 
	xmlns:html="http://www.w3.org/1999/xhtml"
	title="&prefwindow.title;">

<script type="application/x-javascript" src="chrome://yass/content/options.js" />

<tooltip id="help_pane">
<description>&helpmain;</description>
</tooltip>
<tooltip id="help_panedisplay">
<description>&helpmisc;</description>
</tooltip>
<tooltip id="help_paneblacklist">
<description>URIs (separated with line breaks) on which you want to deactivate Yet Another Smooth Scrolling (* for wildcard)</description>
</tooltip>

<prefpane id="pane" label="&panelabel.main;" image="chrome://yass/content/wheel.png" onpaneload="onpaneload0(this)">

<preferences>
<preference id="preset_red" name="extensions.yass.preset.red" type="string"/>
<preference id="preset_green" name="extensions.yass.preset.green" type="string"/>
<preference id="preset_blue" name="extensions.yass.preset.blue" type="string"/>
<preference id="selectedpreset"		name="extensions.yass.selectedpreset" type="string"/>
</preferences>

<hbox pack="center">
<html:canvas class="grapharea" id="grapharea" width="240" height="100"/>
</hbox>

<tabbox id="tabbox">
	<tabs >
        <tab id="red" linkedpanel="tabpanel" oncommand="selecttab(this.id)" flex="1" height="23" width="50">
		   <image width="20" height="14" src="chrome://yass/content/red.png"/>
		  </tab>
        <tab id="green" linkedpanel="tabpanel" oncommand="selecttab(this.id)" flex="1" height="23" width="50">
		   <image width="20" height="14" src="chrome://yass/content/green.png"/>
		  </tab>
        <tab id="blue" linkedpanel="tabpanel" oncommand="selecttab(this.id)" flex="1" height="23" width="50">
		   <image width="20" height="14" src="chrome://yass/content/blue.png"/>
		  </tab>
	</tabs>
<tabpanels style="padding:0px">
<tabpanel orient="vertical" id="tabpanel">

<tabbox id="inputmethodtabbox" style="margin:20px 10px 10px 10px">
<tabs>
	<tab style="padding:0px;text-align:center;" id="wheel" label="&wheelgroup.label;" oncommand="selectmethodtab(this.id,'kbd')" flex="1" width="50%"/>
	<tab style="padding:0px;text-align:center;" id="kbd" label="&kbdgroup.label;" oncommand="selectmethodtab(this.id,'wheel')" flex="1" width="50%"/>
</tabs>
<tabpanels style="padding:5px">
<tabpanel orient="vertical">

<groupbox><caption id="wheelcaption" label="&wheelgroup.label;" style="font-weight:bold;font-size:8pt"/>
<vbox>


<hbox>
<label value="&wheelstep.label;"/>
<hbox pack="end" algin="end" flex="1"><label id="wheelstep_t"/></hbox>
</hbox>
<scale class="sb"
	id="wheelstep_s"
	orient="horizontal"
	value="0"
	min="1"
	max="300"
	increment="1"
	pageincrement="30"
	 movetoclick="false"
	tooltiptext="&wheelstep.tip;"
/>

<spacer height="4" />

<hbox>
<label value="&wheelbdumping.label;"/>
<hbox pack="end" algin="end" flex="1"><label id="wheelbdumping_ts"/></hbox>
</hbox>
<textbox id="wheelbdumping_t" hidden="true"/>
<scale class="sb"
    id="wheelbdumping_s"
    orient="horizontal"
    value="0"
    max="890"
    increment="1"
    pageincrement="89"
	 movetoclick="false"
	tooltiptext="&bdumping.tip;"
/>

<spacer height="4" />

<hbox>
<label value="&wheeldumping.label;"/>
<hbox pack="end" algin="end" flex="1"><label id="wheeldumping_ts" /></hbox>
</hbox>
<textbox id="wheeldumping_t" hidden="true"/>
<scale class="sb"
    id="wheeldumping_s"
    orient="horizontal"
    value="0"
    max="890"
    increment="1"
    pageincrement="89"
	 movetoclick="false"
	tooltiptext="&dumping.tip;"
/>

<spacer height="4" />

<hbox>
<label value="&wheelaccel.label;"/>
<hbox pack="end" algin="end" flex="1"><label id="wheelaccel_t"/></hbox>
</hbox>
<scale class="sb"
    id="wheelaccel_s"
    orient="horizontal"
    value="0"
    max="450"
    increment="1"
    pageincrement="45"
	 movetoclick="false"
	tooltiptext="&wheelaccel.tip;"
/>
</vbox>

<spacer height="4"/>

</groupbox>

</tabpanel>
<!-- //////////////////////keyboard////////////////////// -->
<tabpanel orient="vertical">

<groupbox><caption id="keyboardcaption" label="&kbdgroup.label;" style="font-weight:bold;font-size:8pt"/>
<vbox>

<hbox>
<label value="&kbdstep.label;" id="kbdstep_l"/>
<hbox pack="end" algin="end" flex="1"><label id="kbdstep_t"/></hbox>
</hbox>
<scale class="sb"
    id="kbdstep_s"
    orient="horizontal"
    value="0"
    min="1"
    max="300"
    increment="1"
    pageincrement="30"
	 movetoclick="false"
	tooltiptext="&kbdstep.tip;"
/>

<spacer height="4" />

<hbox>
<label value="&kbdbdumping.label;" id="kbdbdumping_l"/>
<hbox pack="end" algin="end" flex="1"><label id="kbdbdumping_ts"/></hbox>
</hbox>
<textbox id="kbdbdumping_t" hidden="true"/>
<scale class="sb"
    id="kbdbdumping_s"
    orient="horizontal"
    value="0"
    max="890"
    increment="1"
    pageincrement="89"
	 movetoclick="false"
	tooltiptext="&bdumping.tip;"
/>

<spacer height="4" />

<hbox>
<label value="&kbddumping.label;" id="kbddumping_l"/>
<hbox pack="end" algin="end" flex="1"><label id="kbddumping_ts"/></hbox>
</hbox>
<textbox id="kbddumping_t" hidden="true" />
<scale class="sb"
    id="kbddumping_s"
    orient="horizontal"
    value="0"
    max="890"
    increment="1"
    pageincrement="89"
	 movetoclick="false"	 
	tooltiptext="&dumping.tip;"
/>

<spacer height="4" />

<hbox>
<label value="&kbdaccel.label;" id="kbdaccel_l"/>
<hbox pack="end" algin="end" flex="1"><label id="kbdaccel_tr" /></hbox>
</hbox>
<textbox id="kbdaccel_t" width="50" disabled="true" hidden="true" />
<scale class="sb"
    id="kbdaccel_s"
    orient="horizontal"
    value="0"
    max="450"
    increment="1"
    pageincrement="45"
	 movetoclick="false"
	tooltiptext="&kbdaccel.tip;"
/>

<spacer height="4"/>

</vbox>
</groupbox>

</tabpanel>
</tabpanels>
</tabbox>


</tabpanel>
</tabpanels>
</tabbox>

<spacer id="spacer4mac1" height="34"/>

</prefpane>

<!-- ///////////////////////////// misc pane ///////////////////-->

<prefpane id="panedisplay" label="&panelabel.options;" image="chrome://yass/content/gear.png">


<preferences>
	<preference id="usekbd" 		name="extensions.yass.usekbd" type="bool"/>
	<preference id="usepagejump" name="extensions.yass.usepagejump" type="bool"/>
	<preference id="usewholejump" name="extensions.yass.usewholejump" type="bool"/>
	<preference id="edgetype" name="extensions.yass.edgetype" type="int"/>
	<preference id="prefversion" name="extensions.yass.prefversion" type="string"/>
	<preference id="showcontextmenu" name="extensions.yass.showcontextmenu" type="bool"/>
	<preference id="showstatusbar" name="extensions.yass.showstatusbar" type="bool"/>
	<preference id="usepixelscroll" name="extensions.yass.usepixelscroll" type="bool"/>
	<preference id="useflickemulation" name="extensions.yass.useflickemulation" type="bool"/>
</preferences>

<spacer height="0"/>

<checkbox id="usekbd_c" label="&usekbd.label;" preference="usekbd" oncommand="onapplymisc()"/>
<checkbox id="usepagejump_c" label="&usepagejump.label;" preference="usepagejump" oncommand="onapplymisc()"/>
<checkbox id="usewholejump_c" label="&usewholejump.label;" preference="usewholejump" oncommand="onapplymisc()"/>

<spacer height="20"/>

<hbox align="baseline">
<label value="&edgemenu.label;"/>
<menulist id="edgetypemenu" preference="edgetype" oncommand="onapplymisc()">
  <menupopup>
  <menuitem label="&edgemenu.item0;" value="0"/>
  <menuitem label="&edgemenu.item1;" value="30"/>
  <menuitem label="&edgemenu.item2;" value="60"/>
  <menuitem label="&edgemenu.item3;" value="120"/>
  </menupopup>
</menulist>
</hbox>

<spacer height="2"/>

<hbox align="baseline">
<label value="&versionmenu.label;"/>
<menulist id="prefversionmenu" preference="prefversion" oncommand="onchangesmoothalg()">
  <menupopup>
  <menuitem label="&versionmenu.item1;" value="2"/>
  <menuitem label="&versionmenu.item2;" value="3"/>
  </menupopup>
</menulist>
</hbox>

<spacer height="20"/>

<vbox flex="1">
<checkbox id="showcontextmenu_c" label="&showcontextmenu.label;" preference="showcontextmenu"/>
<checkbox id="showstatusbar_c" label="&showstatusbar.label;" preference="showstatusbar"/>
</vbox>

<spacer height="20"/>

<vbox flex="100">
<checkbox id="usepixelscroll_c" label="Per-pixel resolution device support" preference="usepixelscroll"/>
<hbox><spacer width="25"/><label>(e.g. MacBook trackpads)</label></hbox>
<hbox><spacer width="25"/><checkbox id="useflickemulation_c" label="Use flick emulation" preference="useflickemulation"/></hbox>
</vbox>

<spacer id="spacer4mac2" height="40"/>

</prefpane>


<!-- ///////////////////////////// blacklist pane ///////////////////-->

<prefpane id="paneblacklist" label="BlackList" image="chrome://yass/content/stop.png">

<preferences>
	<preference id="blacklist" name="extensions.yass.blacklist" type="string"/>
</preferences>

<textbox multiline="true"  style="height:250px" preference="blacklist" />

</prefpane>

<hbox flex="1" style="margin:0px 5px 5px 5px">
<hbox><button id="buttonhelp" label="&questionmark;"/></hbox>
<hbox pack="end" flex="1">
<button id="buttonok" label="&acceptdisplay.label;" oncommand="ondialogok();close();"/>
<button id="buttoncancel" label="&canceldisplay.label;" oncommand="ondialogcancel();close();"/>
</hbox>
</hbox>

</prefwindow>

